Subject: Re: [Bitcoin-development] Segmented Block Relaying BIP draft.

From: Gregory Maxwell <[email-masked]>
Date: Mon, 10 Sep 2012 16:00:57 -0400

On Mon, Sep 10, 2012 at 3:53 PM, Matt Corallo <[email-masked]> wrote:
> It seems to me the whole idea of segmenting blocks would add very little
> (to nothing) with any sane block size.  Sure, if a block were to be
> 10GB, it may make sense.  However, even in that case, it would be easier

As you know there is a hard protocol limit of 1MB.

If you're going to talk about doing that you are screwing with the
core economic promises of the system. (in particular, removing the cap
eliminates the only armwave we have for long term security).  But in
any case, removing it requires a complete and totally incompatible
hardfork, and at that point you can do whatever you want with the
protocol. Changing how blocks are fetched is almost incidental to the
number of other things that would be changed.  I don't think it makes
sense to design for that especially when something far simpler (as you
pointed out) is prudent for the design of bitcoin.